# XMLRésuméLibrary: User Guide

skills.level.display | XSL Parameter Reference | CSS Class Reference

## Name

subjects.format — controls formatting of the `subjects` element

## Applies To

This parameter controls the formatting of the `subjects` element in all output formats.

## Possible Values

Possible values include `comma` (the default) and `table`.

The examples below show how a `<subjects>` section like this would be rendered:

    <subjects>
      <subject>
        <title>English</title>
        <result>C</result>
      </subject>
      <subject>
        <title>Science</title>
        <result>A</result>
      </subject>
      <subject>
        <title>Math</title>
        <result>B-</result>
      </subject>
    </subjects>

`comma`

  Produces a comma-separated list on a single line:

  Subjects: English (C), Science (A), Math (B-).

`table`

  Produces a table, with subject name in the first column and result in the second column:

  #### Subjects

  English | C
  Science | A
  Math | B-

skills.level.display | XSL Parameter Reference | CSS Class Reference